hpp-corbaserver: intSeqSeq_var Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
intSeqSeq_var Class Reference

`#include <hpp/common-idl.hh>`

## Public Member Functions
| intSeqSeq_var ()
| intSeqSeq_var (intSeqSeq *_s)
| intSeqSeq_var (const intSeqSeq_var &_s)
| ~intSeqSeq_var ()
intSeqSeq_var & | operator= (intSeqSeq *_s)
intSeqSeq_var & | operator= (const intSeqSeq_var &_s)
intSeq & | operator[] (_CORBA_ULong _s)
intSeqSeq * | operator-> ()
const intSeqSeq * | operator-> () const
| operator const intSeqSeq & () const
| operator intSeqSeq & ()
const intSeqSeq & | in () const
intSeqSeq & | inout ()
intSeqSeq *& | out ()
intSeqSeq * | _retn ()

## Friends
class | intSeqSeq_out

## Constructor & Destructor Documentation

## ◆ intSeqSeq_var() [1/3]

intSeqSeq_var::intSeqSeq_var | ( |  | ) |
| inline

## ◆ intSeqSeq_var() [2/3]

intSeqSeq_var::intSeqSeq_var | ( | intSeqSeq * | _s | ) |
| inline

## ◆ intSeqSeq_var() [3/3]

intSeqSeq_var::intSeqSeq_var | ( | const intSeqSeq_var & | _s | ) |
| inline

## ◆ ~intSeqSeq_var()

intSeqSeq_var::~intSeqSeq_var | ( |  | ) |
| inline

## Member Function Documentation

## ◆ _retn()

intSeqSeq * intSeqSeq_var::_retn | ( |  | ) |
| inline

## ◆ in()

const intSeqSeq & intSeqSeq_var::in | ( |  | ) | const
| inline

## ◆ inout()

intSeqSeq & intSeqSeq_var::inout | ( |  | ) |
| inline

## ◆ operator const intSeqSeq &()

intSeqSeq_var::operator const intSeqSeq & | ( |  | ) | const
| inline

## ◆ operator intSeqSeq &()

intSeqSeq_var::operator intSeqSeq & | ( |  | ) |
| inline

## ◆ operator->() [1/2]

intSeqSeq * intSeqSeq_var::operator-> | ( |  | ) |
| inline

## ◆ operator->() [2/2]

const intSeqSeq * intSeqSeq_var::operator-> | ( |  | ) | const
| inline

## ◆ operator=() [1/2]

intSeqSeq_var & intSeqSeq_var::operator= | ( | const intSeqSeq_var & | _s | ) |
| inline

## ◆ operator=() [2/2]

intSeqSeq_var & intSeqSeq_var::operator= | ( | intSeqSeq * | _s | ) |
| inline

## ◆ operator[]()

intSeq & intSeqSeq_var::operator[] | ( | _CORBA_ULong | _s | ) |
| inline

## ◆ out()

intSeqSeq *& intSeqSeq_var::out | ( |  | ) |
| inline

## Friends And Related Symbol Documentation

## ◆ intSeqSeq_out

friend class intSeqSeq_out
| friend

The documentation for this class was generated from the following file:

- src/hpp/common-idl.hh